Ticket #2809 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

util.phpにadmin_make_pager相当の関数が欲しい

Reported by: tsukamoto Assigned to: nobody
Priority: minor Milestone: OpenPNE2.13.2
Component: 指定しない Version:
Keywords: 2.13要望 Cc:

Description (Last modified by kiwa)

■概要

■仕様

■関連情報

元のdescription

util.phpにadmin_make_pager相当の関数が欲しいと思います。

リストブロックを表示する個所ごとに、admin_make_pager(あるいはその一部)相当のコードが書かれていたり、あるいはadminモジュール内のetc_admin.phpをインクルードしたうえでadmin_make_pagerが使用されていたりします。他のモジュールでも容易に使えるよう、uitl.php内にadmin_make_pager相当の関数を追加して欲しいと思います。

OpenPNE 2.12.1に対するパッチを添付します。

Attachments

openpne_2.12.1_ticket2809_diff.txt (1.5 kB) - added by tsukamoto on 07/11/08 17:21:14.
Replace with UTF-8 version.

Change History

07/11/08 17:21:14 changed by tsukamoto

  • attachment openpne_2.12.1_ticket2809_diff.txt added.

Replace with UTF-8 version.

07/17/08 12:51:24 changed by kiwa

  • milestone set to OpenPNE2.13.2.

2.13.2で取り込み検討してほしいです

07/19/08 01:26:21 changed by ebihara

パッチの提供ありがとうございます。たしかにごもっともだと思います。

そもそも etc_admin.php にページャ生成用の関数が定義されているべきなのかどうかという点も含めて検討したうえで、実装させていただきたいと思います。ありがとうございました。

08/29/08 16:29:20 changed by kiwa

  • description changed.

trunkにマージしました。descriptionの修正をどなたかにやってもらいたいです。

08/29/08 16:29:43 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.

09/03/08 18:21:26 changed by ebihara

  • keywords changed from 2.13要望 確認中 to 2.13要望 テスト待ち.

r8181 で、管理画面で使われているページャについても、 util_make_pager を使用するよう変更しました。

09/03/08 22:14:26 changed by ebihara

r8190 で、PHPDoc形式のコメントに記述された説明を変更しました。

09/03/08 22:42:55 changed by kiwa

  • keywords changed from 2.13要望 テスト待ち to 2.13要望.
  • status changed from new to closed.
  • resolution set to fixed.